%?mingw_package_header

Name:           mingw-libtasn1
Version:        3.7
Release:        1%{?dist}
Summary:        MinGW Windows libtasn1 library

# The libtasn1 library is LGPLv2+, utilities are GPLv3+;
# we are only packaging the library.
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gnu.org/software/libtasn1/
Source0:        http://ftp.gnu.org/gnu/libtasn1/libtasn1-%{version}.tar.gz
Source1:        http://ftp.gnu.org/gnu/libtasn1/libtasn1-%{version}.tar.gz.sig

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 98
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 98
BuildRequires:  mingw64-gcc

BuildRequires:  bison


%description
libtasn1 is the ASN.1 library used in GNUTLS.

This package contains the MinGW Windows cross compiled libtasn1 library.


%package -n mingw32-libtasn1
Summary:        MinGW Windows libtasn1 library
Requires:       pkgconfig

%description -n mingw32-libtasn1
A library that provides Abstract Syntax Notation One (ASN.1, as specified
by the X.680 ITU-T recommendation) parsing and structures management, and
Distinguished Encoding Rules (DER, as per X.690) encoding and decoding functions.

This package contains the MinGW Windows cross compiled libtasn1 library.


%package -n mingw64-libtasn1
Summary:        MinGW Windows libtasn1 library
Requires:       pkgconfig

%description -n mingw64-libtasn1
A library that provides Abstract Syntax Notation One (ASN.1, as specified
by the X.680 ITU-T recommendation) parsing and structures management, and
Distinguished Encoding Rules (DER, as per X.690) encoding and decoding functions.

This package contains the MinGW Windows cross compiled libtasn1 library.


%?mingw_debug_package


%prep
%setup -q -n libtasn1-%{version}


%build
%mingw_configure --disable-static
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Remove documentation
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/info/
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/info/
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}
# Remove .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.la
# Remove utilities
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/*.exe
rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/*.exe


%files -n mingw32-libtasn1
%doc COPYING.LIB
%{mingw32_bindir}/libtasn1-6.dll
%{mingw32_includedir}/libtasn1.h
%{mingw32_libdir}/libtasn1.dll.a
%{mingw32_libdir}/pkgconfig/libtasn1.pc

%files -n mingw64-libtasn1
%doc COPYING.LIB
%{mingw64_bindir}/libtasn1-6.dll
%{mingw64_includedir}/libtasn1.h
%{mingw64_libdir}/libtasn1.dll.a
%{mingw64_libdir}/pkgconfig/libtasn1.pc


%changelog
* Tue Jul 01 2014 Michael Cronenworth <mike@cchtml.com> - 3.7-1
- Update to 3.7

* Mon May 26 2014 Michael Cronenworth <mike@cchtml.com> - 3.6-1
- Update to 3.6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.3-3
- Fix FTBFS against latest mingw-w64 (already resolved in upstream gnulib)

* Thu May 30 2013 Michael Cronenworth <mike@cchtml.com> - 3.3-2
- Rebuild for mingw-filesystem changes

* Thu May 09 2013 Michael Cronenworth <mike@cchtml.com> - 3.3-1
- Update to 3.3

* Thu Feb 07 2013 Michael Cronenworth <mike@cchtml.com> - 3.2-1
- Update to 3.2

* Sat Nov 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.14-1
- Update to 2.14

* Sun Oct 07 2012 Kalev Lember <kalevlember@gmail.com> - 2.13-1
- Update to 2.13

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 20 2012 Kalev Lember <kalevlember@gmail.com> - 2.12-1
- Update to 2.12 (#804920)
- Build 64 bit Windows binaries

* Tue Feb 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.9-4
- Remove .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.9-3
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 10 2011 Kalev Lember <kalevlember@gmail.com> - 2.9-1
- Update to 2.9
- Renamed the base package to mingw-libtasn1
- Use the automatic dep extraction available in mingw32-filesystem 68

* Mon May 09 2011 Kalev Lember <kalev@smartlink.ee> - 2.7-1
- Initial RPM release
